### Function

# Gimp brush_set_angle

since: 2.4

#### Declaration [src]

    gdouble
    gimp_brush_set_angle (
      const gchar* name,
      gdouble angle_in
    )

#### Description [src]

Sets the rotation angle of a generated brush.

This procedure sets the rotation angle for a generated brush. If called for any other type of brush, it does not succeed.

Available since: 2.4

#### Parameters

`name`

  Type: `const gchar*`

  The brush name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`angle_in`

  Type: `gdouble`

  The desired brush rotation angle in degree.

#### Return value

Type: `gdouble`

The brush rotation angle actually assigned.